using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryDataModels.Models;

namespace VeterinaryContracts.ViewModels
{
    public class ServiceViewModel : IServiceModel
	{
		public int Id { get; set; }
		[DisplayName("Название услуги")]
		public string ServiceName { get; set; } = string.Empty;
		public int VisitId { get; set; }
		public int DoctorId { get; set; }
		[DisplayName("Посещение")]
		public string VisitName { get; set; } = string.Empty;
		public Dictionary<int, IMedicationModel> ServiceMedications
		{
			get;
			set;
		} = new();
	}
}
